Autore Topic: Pacchetti 32 bit  (Letto 2222 volte)

Offline barondem

  • *
  • Post: 75
  • Reputazione: 2
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #15 il: 20 Gennaio 2013 ore 23:11 »
ehm... ho installato le dipendenze facoltative (che a sto punto non sono mica tanto facoltative) ma non parte.. o meglio non mi trova nessuna dipendenza swt per installarla e quindi non parte... cercando dal motore di ricerca mi da un pacchetto swt, ma obsoleto...
EDIT: avevo interpretato male: per eclipse (credo per errore/mancato aggiornamento del pkgbuild) manca la dipendenza xulrunner (che si chiama xulrunner-gtk2) mentre per swt manca la dipendenza openjdk6 (che si chiama jdk6 6u31-b04 oppure jdk7 7u11-1 o meglio openjdk) e libgnomeui (che si trova su ccr) quindi penso che dovrò fare l'installazione manuale, ameno che qualcuno non modifichi a monte i pkgbuild...
« Ultima modifica: 20 Gennaio 2013 ore 23:34 da barondem »

Offline danyf90

  • *
  • Post: 827
  • Reputazione: 42
  • Chakra
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #16 il: 21 Gennaio 2013 ore 10:18 »
per il problema della dipendenza errata se non vuoi attendere la correzione del manutentore del pacchetto puoi fare come ho suggerito qui: http://forum.chakra-project.it/index.php/topic,4974.0.html nell'ultimo post della prima pagina

Offline kdekda

  • *
  • Post: 441
  • Reputazione: 22
    • Mostra profilo
Re: Pacchetti 32 bit
« Risposta #17 il: 21 Gennaio 2013 ore 10:29 »
Se ti serve xulrunner puoi installare da ccr xulrunner-gtk2-bin che ho messo io.. Si tratta del binario già compilato, quindi un'installazione veloce. Swt è necessario solo se vuoi usare la gui, volendo cmq puoi gestire tutto da linea di comando.

Uso eclipse, installato però da me tramite pacchetto scaricato dal sito ufficiale, in quanto in base ai diversi usi ho più versioni di eclipse disponibili..

From my phone
« Ultima modifica: 21 Gennaio 2013 ore 10:31 da kdekda »

Offline barondem

  • *
  • Post: 75
  • Reputazione: 2
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #18 il: 21 Gennaio 2013 ore 17:19 »
per il problema della dipendenza errata se non vuoi attendere la correzione del manutentore del pacchetto puoi fare come ho suggerito qui: http://forum.chakra-project.it/index.php/topic,4974.0.html nell'ultimo post della prima pagina
a dire il vero avevo provato a cambiare i nomi alle dipendenze con quelle giuste... non è che rimuovendole completamente mi da qualche errore in seguito?

Offline danyf90

  • *
  • Post: 827
  • Reputazione: 42
  • Chakra
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #19 il: 21 Gennaio 2013 ore 18:48 »
se le dipendenze sono installate cancellarle o mettere quelle giuste non fa alcuna differenza :D

Offline barondem

  • *
  • Post: 75
  • Reputazione: 2
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #20 il: 21 Gennaio 2013 ore 19:11 »
fatto sta che ho fatto trentamila peripezie, ma sono riuscito a installare tutto penso, anche swt... solo che ora mi dà eseguendo l'sdk da terminale
Codice: [Seleziona]
Exception in thread "main" java.lang.NoClassDefFoundError: org/eclipse/swt/widgets/Display
        at com.android.sdkmanager.Main.showSdkManagerWindow(Main.java:334)
        at com.android.sdkmanager.Main.doAction(Main.java:322)
        at com.android.sdkmanager.Main.run(Main.java:119)
        at com.android.sdkmanager.Main.main(Main.java:102)
Caused by: java.lang.ClassNotFoundException: org.eclipse.swt.widgets.Display
        at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:423)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:356)
        ... 4 more
ma è mai possibile tanto strazio per un'sdk? :(
il problema è che ora tutto ciò non me lo da solo l'sdk che ha scaricato ccr, ma anche lo zip del sito ufficilae (quello scompattato nella home) quindi deve essersi installato qualcosa in modo anomalo... se può servire questa è l'installazione di swt
Codice: [Seleziona]
[sviluppo@PC-Federico swt]$ makepkg -s
==> Creazione del pacchetto: swt 3.7.1-2 (lun 21 gen 2013, 18.21.14, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato swt-3.7.1-gtk-linux-x86_64.zip
  -> È stato trovato build-swt.xml
==> Validazione dei file sorgenti con md5sums in corso...
    swt-3.7.1-gtk-linux-x86_64.zip ... Verificato
    build-swt.xml ... Verificato
==> Estrazione dei sorgenti in corso...
==> Avvio di build() in corso...
/home/sviluppo/Scaricati/swt/PKGBUILD: line 31: /etc/profile.d/openjdk6.sh: File o directory non esistente
[sviluppo@PC-Federico swt]$ ^C
[sviluppo@PC-Federico swt]$  cd /home/sviluppo/Scaricati/swt/pkg
[sviluppo@PC-Federico pkg]$ ^C
[sviluppo@PC-Federico pkg]$  cd /home/sviluppo/Scaricati/swt
[sviluppo@PC-Federico swt]$ ^C
[sviluppo@PC-Federico swt]$  cd /
[sviluppo@PC-Federico /]$ ^C
[sviluppo@PC-Federico /]$  cd /etc
[sviluppo@PC-Federico etc]$ ^C
[sviluppo@PC-Federico etc]$  cd /etc/profile.d
[sviluppo@PC-Federico profile.d]$ ^C
[sviluppo@PC-Federico profile.d]$  cd /home/sviluppo/Scaricati/swt
[sviluppo@PC-Federico swt]$ makepkg -s
==> Creazione del pacchetto: swt 3.7.1-2 (lun 21 gen 2013, 18.22.42, CET)
==> Controllo delle dipendenze durante l'avvio in corso...
==> Controllo delle dipendenze durante la compilazione in corso...
==> Download dei sorgenti in corso...
  -> È stato trovato swt-3.7.1-gtk-linux-x86_64.zip
  -> È stato trovato build-swt.xml
==> Validazione dei file sorgenti con md5sums in corso...
    swt-3.7.1-gtk-linux-x86_64.zip ... Verificato
    build-swt.xml ... Verificato
==> Estrazione dei sorgenti in corso...
==> Avvio di build() in corso...
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64   -c -o swt_awt.o swt_awt.c
cc -shared   -s -o libswt-awt-gtk-3738.so swt_awt.o -L -ljawt
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 -c swt.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64   -c -o c.o c.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64   -c -o c_stats.o c_stats.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 -DUSE_ASSEMBLER -c callback.c
cc -shared -fPIC  -s -o libswt-gtk-3738.so swt.o c.o c_stats.o callback.o
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gtk+-2.0` -c os.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gtk+-2.0` -c os_structs.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gtk+-2.0` -c os_custom.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gtk+-2.0` -c os_stats.c
cc -shared -fPIC  -s -o libswt-pi-gtk-3738.so swt.o os.o os_structs.o os_custom.o os_stats.o `pkg-config --libs-only-L gtk+-2.0 gthread-2.0`  -L/usr/X11R6/lib -lgtk-x11-2.0 -lgthread-2.0 -lXtst
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags atk gtk+-2.0` -c atk.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags atk gtk+-2.0` -c atk_structs.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags atk gtk+-2.0` -c atk_custom.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags atk gtk+-2.0` -c atk_stats.c
cc -shared -fPIC  -s -o libswt-atk-gtk-3738.so swt.o atk.o atk_structs.o atk_custom.o atk_stats.o `pkg-config --libs-only-L atk gtk+-2.0` -latk-1.0 -lgtk-x11-2.0
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -c gnome.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -c gnome_structs.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -c gnome_stats.c
cc -shared -fPIC  -s -o libswt-gnome-gtk-3738.so swt.o gnome.o gnome_structs.o gnome_stats.o `pkg-config --libs-only-L gnome-vfs-module-2.0 libgnome-2.0 libgnomeui-2.0` -lgnomevfs-2 -lgnome-2 -lgnomeui-2
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags cairo` -c cairo.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags cairo` -c cairo_structs.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64 `pkg-config --cflags cairo` -c cairo_stats.c
cc -shared -fPIC  -s -o libswt-cairo-gtk-3738.so swt.o cairo.o cairo_structs.o cairo_stats.o `pkg-config --libs-only-L cairo` -lcairo
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64  -c glx.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64  -c glx_structs.c
cc -O -Wall -DSWT_VERSION=3738  -DLINUX -DGTK -I/usr/lib/jvm/java-7-openjdk/include -I/usr/lib/jvm/java-7-openjdk/include/linux -fPIC -DJNI64  -c glx_stats.c
cc -shared -fPIC  -s -o libswt-glx-gtk-3738.so swt.o glx.o glx_structs.o glx_stats.o -lGL -lGLU -lm
Buildfile: /home/sviluppo/Scaricati/swt/src/build.xml

init:
    [mkdir] Created dir: /home/sviluppo/Scaricati/swt/src/build

compile:
    [javac] /home/sviluppo/Scaricati/swt/src/build.xml:11: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 594 source files to /home/sviluppo/Scaricati/swt/src/build
    [javac] /home/sviluppo/Scaricati/swt/src/src/org/eclipse/swt/awt/SWT_AWT.java:190: warning: non-varargs call of varargs method with inexact argument type for last parameter;
    [javac]             Method method = clazz.getMethod("registerListeners", null);
    [javac]                                                                  ^
    [javac]   cast to Class for a varargs call
    [javac]   cast to Class[] for a non-varargs call and to suppress this warning
    [javac] /home/sviluppo/Scaricati/swt/src/src/org/eclipse/swt/awt/SWT_AWT.java:191: warning: non-varargs call of varargs method with inexact argument type for last parameter;
    [javac]             if (method != null) method.invoke(value, null);
    [javac]                                                      ^
    [javac]   cast to Object for a varargs call
    [javac]   cast to Object[] for a non-varargs call and to suppress this warning
    [javac] Note: Some input files use unchecked or unsafe operations.
    [javac] Note: Recompile with -Xlint:unchecked for details.
    [javac] 2 warnings

BUILD SUCCESSFUL
Total time: 13 seconds
==> Entro nell'ambiente fakeroot...
==> Avvio di package() in corso...
Buildfile: /home/sviluppo/Scaricati/swt/src/build.xml

jar:
      [jar] Building jar: /home/sviluppo/Scaricati/swt/src/swt.jar

BUILD SUCCESSFUL
Total time: 1 second
==> Rimozione dei dati superflui in corso...
  -> Eliminazione dei file indesiderati in corso...
  -> Compressione delle pagine man ed info in corso...
  -> Rimozione dei simboli non necessari dai binari e dalle librerie in corso...
==> Creazione del pacchetto in corso...
  -> Generazione del file .PKGINFO in corso...
  -> Compressione del pacchetto in corso...
==> Uscita dall'ambiente di fakeroot.
==> Compilazione terminata: swt 3.7.1-2 (lun 21 gen 2013, 18.23.19, CET)
dopo aver modificato il pkgbuild in
Codice: [Seleziona]
pkgname=swt
pkgver=3.7.1
pkgrel=2
pkgdesc="An open source widget toolkit for Java"
_date=201109091335
arch=(i686 x86_64)
url="http://www.eclipse.org/swt/"
license=('EPL')
depends=('java-runtime' 'gtk2>=2.20.1' 'libxtst')
#optdepends=('libgnomeui' 'xulrunner' 'mesa')
#makedepends=('openjdk6' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9.1' 'unzip' 'pkgconfig' 'apache-ant')
optdepends=('libgnomeui' 'mesa')
makedepends=('openjdk' 'libxtst' 'mesa' 'libgnomeui' 'unzip' 'pkgconfig' 'apache-ant')
if [ "${CARCH}" = "i686" ]; then
  source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86.zip
          build-swt.xml)
  noextract=(swt-${pkgver}-gtk-linux-x86.zip)
  md5sums=('b7d6d24e2feb7489b0baa0ce941ea4d2'
           'f5e548bc26a0f1f3c18131be76face40')
fi
if [ "${CARCH}" = "x86_64" ]; then
  source=(swt-3.7.1-gtk-linux-x86_64.zip
  build-swt.xml)
  md5sums=('8816631e7993a783a87e98ba39da7fa6'
           'f5e548bc26a0f1f3c18131be76face40')
  noextract=(swt-${pkgver}-gtk-linux-x86_64.zip)
fi

build() {
  cd "${srcdir}"
  . /etc/profile.d/openjdk.sh
  . /etc/profile.d/apache-ant.sh
  unzip -jqo ${srcdir}/swt-${pkgver}-gtk-linux-*.zip "*src.zip"
  unzip -qo src.zip
  rm -rf about_files
  mkdir src
  mv org src/
  cp build-swt.xml build.xml

  [ "${CARCH}" = "x86_64" ] && export SWT_PTR_CFLAGS=-DJNI64

  make -f make_linux.mak make_awt
  make -f make_linux.mak make_swt
  make -f make_linux.mak make_atk
  make -f make_linux.mak make_gnome
# "XULRunner >= 2.0 is not currently supported"
#   https://bugs.eclipse.org/bugs/show_bug.cgi?id=327696
#
#  export MOZILLA_INCLUDES="`pkg-config --cflags libxul`"
#  export MOZILLA_LIBS="-Wl,-R`pkg-config libxul --variable=libdir` `pkg-config libxul --libs`"
#  export XULRUNNER_INCLUDES="${MOZILLA_INCLUDES}"
#  export XULRUNNER_LIBS="${MOZILLA_LIBS}"
#  make -f make_linux.mak make_mozilla
#  make -f make_linux.mak make_xulrunner

  make -f make_linux.mak make_cairo
  make -f make_linux.mak make_glx
 
  ant compile
}

package() {
  cd "${srcdir}"
  cp version.txt build/version.txt
  cp src/org/eclipse/swt/internal/SWTMessages.properties build/org/eclipse/swt/internal/

  ant jar

  install -m755 -d "${pkgdir}/usr/share/java"
  install -m755 -d "${pkgdir}/usr/lib"
  install -m644 swt.jar "${pkgdir}/usr/share/java/"
  install -m755 *.so "${pkgdir}/usr/lib/"
}
di positivo c'è solo che adesso l'sdk non mi da più l'assenza delle librerie a 32bit perché tra i vari giri devo averle installate tutte... tra cui anche poi libgnomeui e xulrunner, e la prima in particolare ha generato una serie lunghissima di messaggi, se serve posto anche quelli... solo che ora mi dà le eccezioni se lancio l'sdk, presumo per colpa dell'installazione di swt di cui non riesco nemmeno a trovare i file... e se provo a rimuovere swt da pacman non mi rileva il pacchetto...
« Ultima modifica: 21 Gennaio 2013 ore 19:58 da barondem »

Offline barondem

  • *
  • Post: 75
  • Reputazione: 2
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #21 il: 21 Gennaio 2013 ore 21:09 »
forse, e dico forse, ce l'ho fatta... ho scaricato l'ultima versione di swt dal sito di eclipse e estratto manualmente i vari file in /usr/share/java e /usr/lib e pare che tutto funga... ora (nel frattempo sto installando anche eclipse da ccr) devo decidere se tenere l'sdk dei ccr (leggermente meno aggiornata) o quella del sito ufficiale (più aggiornata ma non inserita nei percorsi di sistema tipo /opt, comprende però l'sdk ed eclipse con gli adt tutto insieme) voi quale mi consigliereste? kdekda, per caso aggiornerai il ccr con la nuova "forma dell'sdk" (quella che si chiama adt bundle intendo) in modo da unire i pregi di entrambe le soluzioni? inoltre, ddms funziona solo se avviato per fatti suoi, altrimenti da dentro eclipse mi dà solo una finestra vuota con la console a tutto schermo...

Offline kdekda

  • *
  • Post: 441
  • Reputazione: 22
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #22 il: 22 Gennaio 2013 ore 09:20 »
guarda, io non ho avuto alcuna peripezia ad installare l'sdk, anzi.
L'sdk lo tengo aggiornato, se così non fosse (come l'ultima volta) basta segnalare il pacchetto come obsoleto su ccr che in poco lo aggiorno.

Non ho intenzione di creare un pacchetto ccr per il bundle fornito da google, alla fine si tratta dei 2 pacchetti (android-sdk e eclipse) uniti, a me non va di scaricare ogni volta eclipse visto che lo ho già e a me non serve. Puoi sempre crearlo tu però se preferisci ;)

Offline danyf90

  • *
  • Post: 827
  • Reputazione: 42
  • Chakra
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #23 il: 22 Gennaio 2013 ore 11:16 »
forse, e dico forse, ce l'ho fatta... ho scaricato l'ultima versione di swt dal sito di eclipse e estratto manualmente i vari file in /usr/share/java e /usr/lib e pare che tutto funga... ora (nel frattempo sto installando anche eclipse da ccr) devo decidere se tenere l'sdk dei ccr (leggermente meno aggiornata) o quella del sito ufficiale (più aggiornata ma non inserita nei percorsi di sistema tipo /opt, comprende però l'sdk ed eclipse con gli adt tutto insieme) voi quale mi consigliereste? kdekda, per caso aggiornerai il ccr con la nuova "forma dell'sdk" (quella che si chiama adt bundle intendo) in modo da unire i pregi di entrambe le soluzioni? inoltre, ddms funziona solo se avviato per fatti suoi, altrimenti da dentro eclipse mi dà solo una finestra vuota con la console a tutto schermo...

se il problema è dovuto a swt lascia un commento al manutentore sulla pagine del ccr

Offline barondem

  • *
  • Post: 75
  • Reputazione: 2
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #24 il: 24 Gennaio 2013 ore 16:06 »
l'hanno già fatto a quanto vedo... per il ddms sapreste dirmi qualcosa? magari se serve posto qualche log o lancio eclipse da terminale... ah, e da eclipse non riesco ad installare gli adt poiché mi da
Codice: [Seleziona]
Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 21.0.1.v201212060256-543035 (com.android.ide.eclipse.adt.feature.group 21.0.1.v201212060256-543035)
  Missing requirement: Android Development Tools 21.0.1.v201212060256-543035 (com.android.ide.eclipse.adt.feature.group 21.0.1.v201212060256-543035) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found
qual è il problema?
« Ultima modifica: 26 Gennaio 2013 ore 20:50 da barondem »

Offline barondem

  • *
  • Post: 75
  • Reputazione: 2
    • Mostra profilo
Re:Pacchetti 32 bit
« Risposta #25 il: 27 Gennaio 2013 ore 19:16 »
UPDATE: Il problemi degli adt l'ho risolto installando manualmente WST dal repository di eclipse juno...
EDIT: dovrei aver risolto tutto, anche il ddms (che pare essersi risolto da solo)... se tra qualche giorno è ancora tutto in ordine, metto risolto :)
l'unico "inconveniente" è che tra la versione di eclipse che c'era con gli adt (3.7 o 3.8 mi pare) e la 4.2 da pacman, mi sembra che la prima si vedessero un po' meglio (e meglio proporzionati) i font, mentre nella seconda apprezzo lo sfondo più chiaro... si possono sistemare in qualche modo i font delle etichette delle schede?
« Ultima modifica: 28 Gennaio 2013 ore 21:25 da barondem »

 

Template by Homey | Sito ufficiale | Disclaimer